=== src/coreclr.28bb6f994c28bc91f09bc0ddb5dcb51d0f066806/src/classlibnative/float/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories("../inc")

set(FLOAT_SOURCES
    floatdouble.cpp
    floatsingle.cpp
)

add_library_clr(comfloat_wks
    STATIC
    ${FLOAT_SOURCES}
)

add_dependencies(comfloat_wks eventing_headers)
