=== src/aspnetcore.7b22a279ec975335bbb0a7cbadef2e45ee15aa9c/src/Installers/Debian/tools/templates/debian/control ===
#
# Copyright (c) .NET Foundation and contributors. All rights reserved.
# Licensed under the MIT license. See LICENSE file in the project root for full license information.
#

Source: {PACKAGE_NAME}
Maintainer: {MAINTAINER_NAME} <{MAINTAINER_EMAIL}>
Section: {SECTION}
Priority: {PRIORITY}
Standards-Version: 3.9.2
Build-Depends: debhelper (>=9)
Homepage: {HOMEPAGE}

Package: {PACKAGE_NAME}
Architecture: {ARCH}
Depends: ${{shlibs:Depends}}, ${{misc:Depends}}{DEPENDENT_PACKAGES}
Conflicts: {CONFLICT_PACKAGES}
Description: {SHORT_DESCRIPTION}
 {LONG_DESCRIPTION}
