=== src/core-setup.35fa579a3029aef544cfb0b337eb77b882244d80/tools-local/setuptools/dotnet-deb-tool/tool/templates/debian/control ===
#
# Licensed to the .NET Foundation under one or more agreements.
# The .NET Foundation licenses this file to you under the MIT license.
# See the LICENSE file in the project root for more information.
#

Source: {PACKAGE_NAME}
Maintainer: {MAINTAINER_NAME} <{MAINTAINER_EMAIL}>
Section: {SECTION}
Priority: {PRIORITY}
Standards-Version: 3.9.2
Build-Depends: debhelper (>=9)
Homepage: {HOMEPAGE}

Package: {PACKAGE_NAME}
Architecture: {ARCH}
Depends: {DEPENDENT_PACKAGES}
Conflicts: {CONFLICT_PACKAGES}
Description: {SHORT_DESCRIPTION}
 {LONG_DESCRIPTION}
